Bug 244906 - kdebase: 3.5.7 - taskbar applet no longer groups tasks. regression from 3.5.6
kdebase: 3.5.7 - taskbar applet no longer groups tasks. regression from 3.5.6
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: 246442 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-19 15:37 EDT by gene c
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.5.7-13.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 12:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gene c 2007-06-19 15:37:49 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Upgrade from 3.5.6 to 3.5.7
2. observe multiple tasks (e.g. terminals) in taskbar applet
Actual results:
tasks are no longer grouped (even if setting is always)

Expected results:
similar tasks (e.g. terminals) should be grouped together

Additional info:
Regression - this was working fine in previous version. 
Behaviour of taskbar has changed - the "group similar items" seems to not 
work. Under 3.5.6 all my terminals showed as a single icon with a count 
displayed. Clicking on that icon produced a popup which showed information 
about each terminal and which desktop window it is on - for example.

   With this update all the terminals are kept separate instead of being 
Comment 1 Rex Dieter 2007-06-19 16:13:27 EDT
Confirmed, I'm seeing this too.
Comment 2 gene c 2007-06-19 21:30:27 EDT
Seems its just terminals that exhibit this - I do also have a bunch of terminals
saved in my kde session - unsure if that impacts this. Every new terminal I
start is not grouped.

If I start up multiple firefox windows then they are grouped together.

Comment 3 Joe Christy 2007-06-30 18:03:58 EDT
I see this problem as well for multiple konsoles (=? "terminal"). I have yet to
see it for any other application, though.

FWIW I'm using 3.5.7-0.1.fc6 from fedora-updates.
Comment 4 Rex Dieter 2007-07-02 06:01:46 EDT
*** Bug 246442 has been marked as a duplicate of this bug. ***
Comment 5 Ngo Than 2007-07-02 09:07:27 EDT
it's now fixed in F-7 CVS branch. I will push new version out soon.
Comment 6 Joe Christy 2007-07-09 11:50:41 EDT
Please make this available in FC6 as well. Thanks
Comment 7 Rex Dieter 2007-07-13 13:32:47 EDT
*** Bug 246522 has been marked as a duplicate of this bug. ***
Comment 8 Stefan Becker 2007-07-13 18:03:45 EDT
Koji only shows a kdebase build for devel and no new build for qt with fix 0078
included. Can you please push it for F7 and FC6 too?

Please note that both patches need to be applied to get konsole windows grouped
again in the taskbar:

 - qt:
 - kdebase: <http://websvn.kde.org/?view=rev&revision=669488>
Comment 9 Joe Christy 2007-07-19 13:16:39 EDT
WRT Comment #6, any idea when "soon" might be?

Is there anything I can do to help make "soon" sooner?

Does anyone know if the Rawhide SRPM will build w/o mods on FC6?
Comment 10 Fedora Update System 2007-08-20 12:04:16 EDT
kdebase-3.5.7-13.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 long 2007-08-21 12:37:06 EDT
how about updates for FC6?
Comment 12 Rex Dieter 2007-08-21 14:59:47 EDT
long: Re: FC6: open a separate bug. FC6 is pre-merge, so I don't have
access/authority to issue updates there.

Note You need to log in before you can comment on or make changes to this bug.